kind: pipeline
type: docker
name: default

steps:
  - name: debug registry secrets
    image: alpine
    secrets: [ docker_username, docker_password ]
    environment:
      USERNAME:
        from_secret: docker_username
      PASSWORD:
        from_secret: docker_password
    commands:
      - echo ${test}
      - echo "${docker_password}"

  - name: build and push flappy image
    image: plugins/docker
    settings:
      repo: rubble.se:5000/urmo/flappy
      tags: latest
      username:
        from_secret: docker_username
      password:
        from_secret: docker_password
